Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.serializer
Class I2Serializer

    java.lang.Object
      org.apache.xmlrpc.serializer.TypeSerializerImpl
          org.apache.xmlrpc.serializer.I2Serializer

All Implemented Interfaces:
  TypeSerializer

    public class I2Serializer

extends TypeSerializerImpl

A `TypeSerializer` for shorts.

Field Summary
`static java.lang.String` | `EX_I2_TAG` Fully qualified name of an i2 value.
`static java.lang.String` | `I2_TAG` Tag name of an i2 value.

Fields inherited from class org.apache.xmlrpc.serializer.TypeSerializerImpl
`VALUE_TAG, ZERO_ATTRIBUTES`

Constructor Summary
`I2Serializer()`

Method Summary
`void` | `write(org.xml.sax.ContentHandler pHandler, java.lang.Object pObject)` Writes the object `pObject` to the SAX handler `pHandler`.

Methods inherited from class org.apache.xmlrpc.serializer.TypeSerializerImpl
`write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### I2_TAG

    public static final java.lang.String I2_TAG

  Tag name of an i2 value.

  See Also:
    Constant Field Values

### EX_I2_TAG

    public static final java.lang.String EX_I2_TAG

  Fully qualified name of an i2 value.

  See Also:
    Constant Field Values

Constructor Detail

### I2Serializer

    public I2Serializer()

Method Detail

### write

    public void write(org.xml.sax.ContentHandler pHandler,
                      java.lang.Object pObject)
               throws org.xml.sax.SAXException

  Description copied from interface: `TypeSerializer`
  Writes the object `pObject` to the SAX handler `pHandler`.

  Parameters:
    `pHandler` - The destination handler.
    `pObject` - The object being written.
  Throws:
    `org.xml.sax.SAXException` - Writing the object failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.